<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/ring0_get_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/06/84  ring0_get_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The ring0_get_ subroutine returns the name and pointer information
<span id="L4" class="LineNr">  4 </span>about hardcore segments.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in ring0_get_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  definition:  02/06/84 ring0_get_$definition
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function:  This entry point is used to ascertain the offset of a symbol
<span id="L15" class="LineNr"> 15 </span>in a hardcore segment in the running Multics supervisor.
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>Syntax:
<span id="L19" class="LineNr"> 19 </span>declare ring0_get_$definition entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr"> 20 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr"> 21 </span>call ring0_get_$definition <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> component_name<span class="textRainbow_lv0_o0">,</span> sym_name<span class="textRainbow_lv0_o0">,</span> offset<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr"> 22 </span>     type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>seg_ptr
<span id="L27" class="LineNr"> 27 </span>   is a pointer to the base of the segment in which it is desired to
<span id="L28" class="LineNr"> 28 </span>   obtain a symbol offset.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>.  If supplied as null, the
<span id="L29" class="LineNr"> 29 </span>   segment that bears the name component_name in the SLT is used, and
<span id="L30" class="LineNr"> 30 </span>   seg_ptr is returned as output as a pointer to the base of this
<span id="L31" class="LineNr"> 31 </span>   segment.
<span id="L32" class="LineNr"> 32 </span>component_name
<span id="L33" class="LineNr"> 33 </span>   is the name of the segment or segment bound component in which the
<span id="L34" class="LineNr"> 34 </span>   symbol, sym_name, is to be found.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If sym_name is an
<span id="L35" class="LineNr"> 35 </span>   unambiguous reference in the segment defined by seg_ptr, this
<span id="L36" class="LineNr"> 36 </span>   parameter can be given as a null string.  If seg_ptr is given as
<span id="L37" class="LineNr"> 37 </span>   null, this parameter must be supplied, and specifies the segment
<span id="L38" class="LineNr"> 38 </span>   name as well.
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>sym_name
<span id="L42" class="LineNr"> 42 </span>   is the name of the external symbol in the segment specified by
<span id="L43" class="LineNr"> 43 </span>   seg_ptr or component_name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If more than one external
<span id="L44" class="LineNr"> 44 </span>   symbol of this name appears in this segment, component_name is used
<span id="L45" class="LineNr"> 45 </span>   to select the correct component.
<span id="L46" class="LineNr"> 46 </span>offset
<span id="L47" class="LineNr"> 47 </span>   is the offset of this definition, if found, into the section of the
<span id="L48" class="LineNr"> 48 </span>   specified segment as specified by type.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr"> 49 </span>type
<span id="L50" class="LineNr"> 50 </span>   is the definition type of this definition, detailing in which
<span id="L51" class="LineNr"> 51 </span>   section of the specified segment this definition resides.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr"> 52 </span>code
<span id="L53" class="LineNr"> 53 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  If the the segment specified
<span id="L54" class="LineNr"> 54 </span>   has no definitions, error_table_$no_defs is returned.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>:Entry:  definition_given_slt:
<span id="L58" class="LineNr"> 58 </span>02/06/84 ring0_get_$definition_given_slt
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Function:  This entry point is used to ascertain the offset of a symbol
<span id="L62" class="LineNr"> 62 </span>in a hardcore segment in other than the running Multics supervisor.
<span id="L63" class="LineNr"> 63 </span>Copies of the Segment Loading Table <span class="textRainbow_lv0_p0">(</span>SLT<span class="textRainbow_lv0_p0">)</span>, SLT name table, and hardcore
<span id="L64" class="LineNr"> 64 </span>definitions segment are supplied.
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>Syntax:
<span id="L68" class="LineNr"> 68 </span>declare ring0_get_$definition_given_slt entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L69" class="LineNr"> 69 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L70" class="LineNr"> 70 </span>call ring0_get_$definition_given_slt <span class="textRainbow_lv0_p0">(</span>seg_ptr<span class="textRainbow_lv0_o0">,</span> component_name<span class="textRainbow_lv0_o0">,</span>
<span id="L71" class="LineNr"> 71 </span>     sym_name<span class="textRainbow_lv0_o0">,</span> offset<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_o0">,</span> slt_ptr<span class="textRainbow_lv0_o0">,</span> nametbl_ptr<span class="textRainbow_lv0_o0">,</span> deftbl_ptr<span class="textRainbow_lv0_p0">)</span>:
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>Arguments:
<span id="L75" class="LineNr"> 75 </span>seg_ptr
<span id="L76" class="LineNr"> 76 </span>   is a pointer to the base of the segment in which it is desired to
<span id="L77" class="LineNr"> 77 </span>   obtain a symbol offset.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>.  If supplied as null, the
<span id="L78" class="LineNr"> 78 </span>   segment that bears the name component_name in the SLT is used, and
<span id="L79" class="LineNr"> 79 </span>   seg_ptr is returned as output as a pointer to the base of this
<span id="L80" class="LineNr"> 80 </span>   segment.
<span id="L81" class="LineNr"> 81 </span>component_name
<span id="L82" class="LineNr"> 82 </span>   is the name of the segment or segment bound component in which the
<span id="L83" class="LineNr"> 83 </span>   symbol, sym_name, is to be found.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If sym_name is an
<span id="L84" class="LineNr"> 84 </span>   unambiguous reference in the segment defined by seg_ptr, this
<span id="L85" class="LineNr"> 85 </span>   parameter can be given as a null string.  If seg_ptr is given as
<span id="L86" class="LineNr"> 86 </span>   null, this parameter must be supplied, and specifies the segment
<span id="L87" class="LineNr"> 87 </span>   name as well.
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>sym_name
<span id="L91" class="LineNr"> 91 </span>   is the name of the external symbol in the segment specified by
<span id="L92" class="LineNr"> 92 </span>   seg_ptr or component_name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If more than one external
<span id="L93" class="LineNr"> 93 </span>   symbol of this name appears in this segment, component_name is used
<span id="L94" class="LineNr"> 94 </span>   to select the correct component.
<span id="L95" class="LineNr"> 95 </span>offset
<span id="L96" class="LineNr"> 96 </span>   is the offset of this definition, if found, into the section of the
<span id="L97" class="LineNr"> 97 </span>   specified segment as specified by type.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>type
<span id="L99" class="LineNr"> 99 </span>   is the definition type of this definition, detailing in which
<span id="L100" class="LineNr">100 </span>   section of the specified segment this definition resides.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L101" class="LineNr">101 </span>code
<span id="L102" class="LineNr">102 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  If the the segment specified
<span id="L103" class="LineNr">103 </span>   has no definitions, error_table_$no_defs is returned.
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>slt_ptr
<span id="L107" class="LineNr">107 </span>   is a pointer to the copy of the segment loading table <span class="textRainbow_lv0_p0">(</span>SLT<span class="textRainbow_lv0_p0">)</span> to be
<span id="L108" class="LineNr">108 </span>   used.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.
<span id="L109" class="LineNr">109 </span>nametbl_ptr
<span id="L110" class="LineNr">110 </span>   is a pointer to the corresponding copy of the SLT name table.
<span id="L111" class="LineNr">111 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L112" class="LineNr">112 </span>deftbl_ptr
<span id="L113" class="LineNr">113 </span>   is a pointer to the corresponding copy of the hardcore definitions
<span id="L114" class="LineNr">114 </span>   segment <span class="textRainbow_lv0_p0">(</span>definitions_<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>:Entry:  name:  02/06/84 ring0_get_$name
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Function:  This entry point returns the primary name and directory name
<span id="L121" class="LineNr">121 </span>of a ring 0 segment when given a pointer to the segment.
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>Syntax:
<span id="L125" class="LineNr">125 </span>declare ring0_get_$name entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L126" class="LineNr">126 </span>call ring0_get_$name <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>Arguments:
<span id="L130" class="LineNr">130 </span>dir_name
<span id="L131" class="LineNr">131 </span>   is the pathname of the directory of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  If the
<span id="L132" class="LineNr">132 </span>   segment does not have a pathname <span class="textRainbow_lv0_p0">(</span>as is the case for most hardcore
<span id="L133" class="LineNr">133 </span>   segments<span class="textRainbow_lv0_p0">)</span>, this is returned as a null string.
<span id="L134" class="LineNr">134 </span>entryname
<span id="L135" class="LineNr">135 </span>   is the primary name of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L136" class="LineNr">136 </span>seg_ptr
<span id="L137" class="LineNr">137 </span>   is a pointer to the ring 0 segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L138" class="LineNr">138 </span>code
<span id="L139" class="LineNr">139 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It is nonzero if, and only
<span id="L140" class="LineNr">140 </span>   if, seg_ptr does not point to a ring 0 segment.
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>:Entry:  name_given_slt:  02/06/84 ring0_get_$name_given_slt
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Function:  This entry point is analogous to the name entry point except
<span id="L147" class="LineNr">147 </span>that external SLT and name tables are used, instead of the versions of
<span id="L148" class="LineNr">148 </span>these tables currently being used by the system.
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>Syntax:
<span id="L152" class="LineNr">152 </span>declare ring0_get_$name_given_slt entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L153" class="LineNr">153 </span>     fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L154" class="LineNr">154 </span>call ring0_get_$name_given_slt <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_o0">,</span>
<span id="L155" class="LineNr">155 </span>     sltp<span class="textRainbow_lv0_o0">,</span> namep<span class="textRainbow_lv0_p0">)</span>;
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>Arguments:
<span id="L159" class="LineNr">159 </span>dir_name
<span id="L160" class="LineNr">160 </span>   is the pathname of the directory of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  If the
<span id="L161" class="LineNr">161 </span>   segment does not have a pathname <span class="textRainbow_lv0_p0">(</span>as is the case for most hardcore
<span id="L162" class="LineNr">162 </span>   segments<span class="textRainbow_lv0_p0">)</span>, this is returned as a null string.
<span id="L163" class="LineNr">163 </span>entryname
<span id="L164" class="LineNr">164 </span>   is the primary name of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L165" class="LineNr">165 </span>seg_ptr
<span id="L166" class="LineNr">166 </span>   is a pointer to the ring 0 segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L167" class="LineNr">167 </span>code
<span id="L168" class="LineNr">168 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It is nonzero if, and only
<span id="L169" class="LineNr">169 </span>   if, seg_ptr does not point to a ring 0 segment.
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>
<span id="L172" class="LineNr">172 </span>sltp
<span id="L173" class="LineNr">173 </span>   is a pointer to an SLT that contains information about the segment.
<span id="L174" class="LineNr">174 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L175" class="LineNr">175 </span>namep
<span id="L176" class="LineNr">176 </span>   is a pointer to a name table <span class="textRainbow_lv0_p0">(</span>associated with the above SLT<span class="textRainbow_lv0_p0">)</span>
<span id="L177" class="LineNr">177 </span>   containing the names of segments.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>:Entry:  names:  02/06/84 ring0_get_$names
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>
<span id="L183" class="LineNr">183 </span>Function:  This entry point returns all the names and the directory
<span id="L184" class="LineNr">184 </span>name of a ring 0 segment when given a pointer to the segment.
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>
<span id="L187" class="LineNr">187 </span>Syntax:
<span id="L188" class="LineNr">188 </span>declare ring0_get_$names entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L189" class="LineNr">189 </span>call ring0_get_$names <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> names_ptr<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>Arguments:
<span id="L193" class="LineNr">193 </span>dir_name
<span id="L194" class="LineNr">194 </span>   is the pathname of the directory of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L195" class="LineNr">195 </span>names_ptr
<span id="L196" class="LineNr">196 </span>   is a pointer to a structure <span class="textRainbow_lv0_p0">(</span>described in &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span> containing
<span id="L197" class="LineNr">197 </span>   the names of the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L198" class="LineNr">198 </span>seg_ptr
<span id="L199" class="LineNr">199 </span>   is a pointer to the ring 0 segment.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L200" class="LineNr">200 </span>code
<span id="L201" class="LineNr">201 </span>   is nonzero if, and only if, seg_ptr does not point to a ring 0
<span id="L202" class="LineNr">202 </span>   segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>Notes:  The following structure is used--
<span id="L206" class="LineNr">206 </span>
<span id="L207" class="LineNr">207 </span>   dcl 1 segnames      based <span class="textRainbow_lv0_p0">(</span>namesptr<span class="textRainbow_lv0_p0">)</span> aligned,
<span id="L208" class="LineNr">208 </span>         2 count       fixed bin,
<span id="L209" class="LineNr">209 </span>         2 names       <span class="textRainbow_lv0_p0">(</span>50 refer <span class="textRainbow_lv1_p0">(</span>segnames.count<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>,
<span id="L210" class="LineNr">210 </span>           3 length    fixed bin,
<span id="L211" class="LineNr">211 </span>           3 name      char<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>;
<span id="L212" class="LineNr">212 </span>
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>Structure elements:
<span id="L215" class="LineNr">215 </span>   count
<span id="L216" class="LineNr">216 </span>      is the number of names.
<span id="L217" class="LineNr">217 </span>   names
<span id="L218" class="LineNr">218 </span>      is a substructure containing an array of segment names.
<span id="L219" class="LineNr">219 </span>   length
<span id="L220" class="LineNr">220 </span>      is the length of the name in characters.
<span id="L221" class="LineNr">221 </span>   name
<span id="L222" class="LineNr">222 </span>      is the space for the name.
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>
<span id="L225" class="LineNr">225 </span>:Entry:  segptr:  02/06/84 ring0_get_$segptr
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>Function:  This entry point returns a pointer to a specified ring 0
<span id="L229" class="LineNr">229 </span>segment.  Only the name is used to determine the pointer.
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>
<span id="L232" class="LineNr">232 </span>Syntax:
<span id="L233" class="LineNr">233 </span>declare ring0_get_$segptr entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L234" class="LineNr">234 </span>call ring0_get_$segptr <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L235" class="LineNr">235 </span>
<span id="L236" class="LineNr">236 </span>
<span id="L237" class="LineNr">237 </span>Arguments:
<span id="L238" class="LineNr">238 </span>dir_name
<span id="L239" class="LineNr">239 </span>   is ignored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L240" class="LineNr">240 </span>entryname
<span id="L241" class="LineNr">241 </span>   is the name of the ring 0 segment for which a pointer is desired.
<span id="L242" class="LineNr">242 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L243" class="LineNr">243 </span>seg_ptr
<span id="L244" class="LineNr">244 </span>   is a pointer to the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L245" class="LineNr">245 </span>code
<span id="L246" class="LineNr">246 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It is nonzero if, and only
<span id="L247" class="LineNr">247 </span>   if, the entry is not found.
<span id="L248" class="LineNr">248 </span>
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>Notes:  If the entry is not found, seg_ptr is returned as a null
<span id="L251" class="LineNr">251 </span>pointer.
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>:Entry:  segptr_given_slt:  02/06/84 ring0_get_$segptr_given_slt
<span id="L255" class="LineNr">255 </span>
<span id="L256" class="LineNr">256 </span>
<span id="L257" class="LineNr">257 </span>Function:  This entry point is analogous to the segptr entry point
<span id="L258" class="LineNr">258 </span>except that external SLT name tables are used, instead of the versions
<span id="L259" class="LineNr">259 </span>of these tables currently being used by the system.
<span id="L260" class="LineNr">260 </span>
<span id="L261" class="LineNr">261 </span>
<span id="L262" class="LineNr">262 </span>Syntax:
<span id="L263" class="LineNr">263 </span>declare ring0_get_$segptr_given_slt entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L264" class="LineNr">264 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L265" class="LineNr">265 </span>call ring0_get_$segptr_given_slt <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_o0">,</span>
<span id="L266" class="LineNr">266 </span>     sltp<span class="textRainbow_lv0_o0">,</span> namep<span class="textRainbow_lv0_p0">)</span>;
<span id="L267" class="LineNr">267 </span>
<span id="L268" class="LineNr">268 </span>
<span id="L269" class="LineNr">269 </span>Arguments:
<span id="L270" class="LineNr">270 </span>dir_name
<span id="L271" class="LineNr">271 </span>   is ignored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L272" class="LineNr">272 </span>entryname
<span id="L273" class="LineNr">273 </span>   is the name of the ring 0 segment for which a pointer is desired.
<span id="L274" class="LineNr">274 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L275" class="LineNr">275 </span>seg_ptr
<span id="L276" class="LineNr">276 </span>   is a pointer to the segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L277" class="LineNr">277 </span>code
<span id="L278" class="LineNr">278 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It is nonzero if, and only
<span id="L279" class="LineNr">279 </span>   if, the entry is not found.
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>
<span id="L282" class="LineNr">282 </span>sltp
<span id="L283" class="LineNr">283 </span>   is a pointer to an SLT that contains information about the segment.
<span id="L284" class="LineNr">284 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L285" class="LineNr">285 </span>namep
<span id="L286" class="LineNr">286 </span>   is a pointer to a name table <span class="textRainbow_lv0_p0">(</span>associated with the above SLT<span class="textRainbow_lv0_p0">)</span>
<span id="L287" class="LineNr">287 </span>   containing the names of segments.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
